RCCE(3)

NAME
RCCE_fence - defines a squence point in the program

SYNOPSIS
#include <rcce.h>

void RCCE_fence();

DESCRIPTION
RCCE_fence() defines a sequence point in the program at which the following conditions hold.

o   A compiler can not reorder memory access operations across the RCCE_fence() function.

o   All memory operations that occur in program-order prior to this statement must complete.

o   No memory operations that follow this statement in program-order must begin before returning from this function. This behaves as an OpenMP flush construct without an argument list clause. Note that we need the fence to apply to both private and MPB memory.

RETURN VALUE
None

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.